@ECHO OFF
REM  DM 5.0-05/21/01
CLS
ECHO This command builds a bootable Drive Image diskette set.
ECHO.
ECHO You need two blank 3.5" diskettes.  After reviewing
ECHO the license agreement, the first diskette will be
ECHO formatted and the System and device drivers will be
ECHO copied.  Next the second diskette will be formatted
ECHO and then the Drive Image files will be copied.
ECHO.
if %1n==A:n GOTO DRIVEOK
if %1n==a:n GOTO DRIVEOK
if %1n==B:n GOTO DRIVEOK
if %1n==b:n GOTO DRIVEOK
if %1n==C:n GOTO DRIVEOK
if %1n==c:n GOTO DRIVEOK
ECHO *************************************************
ECHO Please run this command from a DOS command line
ECHO and specify the diskette drive letter as follows:
ECHO MAKEDISK A: or MAKEDISK B:
ECHO *************************************************
ECHO.
PAUSE
GOTO DONE
:DRIVEOK
ECHO Press a key on the keyboard to advance to the next
ECHO page of the license agreement.
ECHO.
PAUSE
CLS
IF NOT %OS%1==DRDOS1 GOTO WINMORE
TYPE LICENSE.TXT /P
GOTO GETKEY
:WINMORE
IF %WINBOOTDIR%1==1 GOTO NTMORE
%WINBOOTDIR%\COMMAND\MORE < LICENSE.TXT
GOTO GETKEY
:NTMORE
IF NOT EXIST %WINDIR%\SYSTEM32\MORE.COM GOTO TYPEIT
%WINDIR%\SYSTEM32\MORE < LICENSE.TXT
GOTO GETKEY
:TYPEIT
TYPE LICENSE.TXT
:GETKEY
ECHO.
ECHO.
PAUSE
CLS
ECHO ************ LICENSE AGREEMENT ************
ECHO.
ECHO For more information about the Drive Image Professional
ECHO Version or Corporate, Government and Education license
ECHO options, contact PowerQuest Large Account Sales at
ECHO (800) 379-2566 or sales@powerquest.com.
ECHO.
ECHO To indicate your acceptance of this software license
ECHO agreement type YES and press Enter.
ECHO.
YES !Do you agree to this license agreement (YES/NO)?
IF ERRORLEVEL 1 GOTO FMTDISK
ECHO.
ECHO IF YOU DO NOT AGREE TO THESE TERMS AND CONDITIONS, EITHER
ECHO DESTROY OR RETURN, INTACT, THE DRIVE IMAGE PACKAGE, CONTAINING
ECHO THE CD OR DISK MEDIA, TOGETHER WITH THE OTHER COMPONENTS OF
ECHO THE PRODUCT TO THE PLACE OF PURCHASE.
ECHO.
ECHO Installation terminated.
GOTO DONE
:FMTDISK
if %1n==C:n GOTO NOSYS1
if %1n==c:n GOTO NOSYS1
CLS
ECHO *************** FORMAT DISKETTE 1 ***************
ECHO.
ECHO Please insert the first blank diskette.
ECHO.
PAUSE
IF %WINBOOTDIR%1==1 GOTO CDOS1
IF EXIST %WINBOOTDIR%\DIRECTCC.EXE GOTO CDOS1
%WINBOOTDIR%\COMMAND\FORMAT %1 /BACKUP /S /V:DM50_DISK_1
%WINBOOTDIR%\COMMAND\ATTRIB -R -H -S   %1\DRVSPACE.BIN
DEL  %1\DRVSPACE.BIN
COPY CONFIG95.SYS                      %1\CONFIG.SYS
COPY AUTOEXEC.BAT                      %1\AUTOEXEC.BAT
COPY %WINBOOTDIR%\HIMEM.SYS            %1\HIMEM.SYS
COPY %WINBOOTDIR%\COMMAND\DISPLAY.SYS  %1\DISPLAY.SYS
COPY %WINBOOTDIR%\COMMAND\EGA.CPI      %1\EGA.CPI
COPY %WINBOOTDIR%\COMMAND\KEYB.COM     %1\KEYB.COM
COPY %WINBOOTDIR%\COMMAND\KEYBOARD.SYS %1\KEYBOARD.SYS
COPY %WINBOOTDIR%\COMMAND\CHKDSK.EXE   %1\CHKDSK.EXE
COPY %WINBOOTDIR%\COMMAND\MODE.COM     %1\MODE.COM
COPY %WINBOOTDIR%\COMMAND\MSCDEX.EXE   %1\MSCDEX.EXE
GOTO NOSYS1
:CDOS1
ECHO After a successful diskette format, answer N to
ECHO the question "Format another diskette (Y/N)?"
ECHO.
IF %OS%1==Windows_NT1 GOTO NTFORMAT1
FORMAT %1 /U /V:DM50_DISK_1
GOTO COPYFILES
:NTFORMAT1
FORMAT %1 /Q /V:DM50_DISK_1
:COPYFILES
COPY BIO.SYS      %1\IBMBIO.COM
COPY DOS.SYS      %1\IBMDOS.COM
COPY CMD.SYS      %1\COMMAND.COM
COPY CONFIG.SYS   %1\CONFIG.SYS
COPY AUTOEXEC.BAT %1\AUTOEXEC.BAT
COPY HIMEM.SYS    %1\HIMEM.SYS
COPY DISPLAY.SYS  %1\DISPLAY.SYS
COPY EGA.CPI      %1\EGA.CPI
COPY KEYB.COM     %1\KEYB.COM
COPY FDISK.COM    %1\FDISK.COM
COPY CHKDSK.EXE   %1\CHKDSK.EXE
COPY MODE.COM     %1\MODE.COM
COPY NWCDEX.SYS   %1\NWCDEX.EXE
:NOSYS1
COPY MOUSE.COM    %1\MOUSE.COM
COPY PARTINFO.EXE %1\PARTINFO.EXE
CLS
ECHO ************* Removable Media Device Drivers **************
ECHO DOS device drivers for Iomega, SCSI CD-R and Fujitsu
ECHO removable media devices will now be installed.
ECHO.
MD %1\DRIVERS
YES !Install Iomega Jaz and Zip drive support (Y/N)?
IF NOT ERRORLEVEL 1 GOTO NOIOMEGA
ECHO. >>%1\AUTOEXEC.BAT
ECHO REM Install the Iomega drivers >>%1\AUTOEXEC.BAT
ECHO \DRIVERS\GUEST >>%1\AUTOEXEC.BAT
COPY DRIVERS\GUEST.EXE     %1\DRIVERS\GUEST.EXE
COPY DRIVERS\GUEST.INI     %1\DRIVERS\GUEST.INI
COPY DRIVERS\ASPIIDE.SYS   %1\DRIVERS\ASPIIDE.SYS
COPY DRIVERS\ASPIATAP.SYS  %1\DRIVERS\ASPIATAP.SYS
COPY DRIVERS\MCAM18XX.SYS  %1\DRIVERS\MCAM18XX.SYS
COPY DRIVERS\ASPIPC16.SYS  %1\DRIVERS\ASPIPC16.SYS
COPY DRIVERS\ASPI1616.SYS  %1\DRIVERS\ASPI1616.SYS
COPY DRIVERS\ASPIPPM1.SYS  %1\DRIVERS\ASPIPPM1.SYS
COPY DRIVERS\ASPIPPM2.SYS  %1\DRIVERS\ASPIPPM2.SYS
COPY DRIVERS\NIBBLE.ILM    %1\DRIVERS\NIBBLE.ILM
COPY DRIVERS\NIBBLE2.ILM   %1\DRIVERS\NIBBLE2.ILM
COPY DRIVERS\ASPI8DOS.SYS  %1\DRIVERS\ASPI8DOS.SYS
COPY DRIVERS\ASPI7DOS.SYS  %1\DRIVERS\ASPI7DOS.SYS
COPY DRIVERS\ASPI4DOS.SYS  %1\DRIVERS\ASPI4DOS.SYS
COPY DRIVERS\ASPI2DOS.SYS  %1\DRIVERS\ASPI2DOS.SYS
COPY DRIVERS\ASPIEDOS.SYS  %1\DRIVERS\ASPIEDOS.SYS
ECHO Iomega Jaz and Zip drive support installed.
:NOIOMEGA
ECHO.
YES !Install SCSI CD-R drive support (Y/N)?
IF NOT ERRORLEVEL 1 GOTO NOSCSI
ECHO. >>%1\AUTOEXEC.BAT
ECHO REM Load the SCSI CD-R drivers >>%1\AUTOEXEC.BAT
ECHO CALL \DRIVERS\LCDRSCSI >>%1\AUTOEXEC.BAT
COPY DRIVERS\ASPI8U2.SYS   %1\DRIVERS\ASPI8U2.SYS
COPY DRIVERS\ASPI8DOS.SYS  %1\DRIVERS\ASPI8DOS.SYS
COPY DRIVERS\ASPI7DOS.SYS  %1\DRIVERS\ASPI7DOS.SYS
COPY DRIVERS\ASPI4DOS.SYS  %1\DRIVERS\ASPI4DOS.SYS
COPY DRIVERS\ASPI2DOS.SYS  %1\DRIVERS\ASPI2DOS.SYS
COPY DRIVERS\ASPIEDOS.SYS  %1\DRIVERS\ASPIEDOS.SYS
COPY DRIVERS\DDLOADER.COM  %1\DRIVERS\DDLOADER.COM
COPY DRIVERS\MA160.SYS     %1\DRIVERS\MA160.SYS
COPY DRIVERS\MA348.SYS     %1\DRIVERS\MA348.SYS
COPY DRIVERS\MA358.SYS     %1\DRIVERS\MA358.SYS
COPY DRIVERS\LCDRSCSI.FLP  %1\DRIVERS\LCDRSCSI.BAT
ECHO SCSI CD-R drive support installed.
:NOSCSI
ECHO.
YES !Install Fujitsu Magneto-Optical drive support (Y/N)?
IF NOT ERRORLEVEL 1 GOTO NOFUJITSU
CLS
ECHO *********************** Fujitsu Support ************************
ECHO There are two types of interfaces for Fujitsu Magneto-Optical
ECHO products, ATAPI and SCSI.  Each interface type requires different
ECHO drivers to support the Fujitsu Magneto-Optical drive.
ECHO Please select your interface type.
ECHO.
ECHO.
YES !Install Fujitsu Magento-Optical ATAPI support (Y/N)?
IF NOT ERRORLEVEL 1 GOTO NOMOATAPI
ECHO. >>%1\CONFIG.SYS
ECHO REM Load Fujistu ATAPI Support >>%1\CONFIG.SYS
ECHO DEVICE=\DRIVERS\MODISKAP.SYS >>%1\CONFIG.SYS
COPY DRIVERS\MODISKAP.SYS  %1\DRIVERS\MODISKAP.SYS
ECHO Fujitsu MO ATAPI support installed.
GOTO NOFUJITSU
:NOMOATAPI
ECHO.
YES !Install the Fujitsu Magneto-Optical SCSI support (Y/N)?
IF NOT ERRORLEVEL 1 GOTO NOFUJITSU
ECHO. >>%1\AUTOEXEC.BAT
ECHO REM Load Fujitsu SCSI Support >>%1\AUTOEXEC.BAT
ECHO CALL \DRIVERS\LDMOSCSI >>%1\AUTOEXEC.BAT
COPY DRIVERS\LDMOSCSI.FLP  %1\DRIVERS\LDMOSCSI.BAT
COPY DRIVERS\DDLOADER.COM  %1\DRIVERS\DDLOADER.COM
COPY DRIVERS\SQLOAD.COM    %1\DRIVERS\SQLOAD.COM
COPY DRIVERS\ASPI8DOS.SYS  %1\DRIVERS\ASPI8DOS.SYS
COPY DRIVERS\ASPI7DOS.SYS  %1\DRIVERS\ASPI7DOS.SYS
COPY DRIVERS\ASPI4DOS.SYS  %1\DRIVERS\ASPI4DOS.SYS
COPY DRIVERS\ASPI2DOS.SYS  %1\DRIVERS\ASPI2DOS.SYS
COPY DRIVERS\ASPIEDOS.SYS  %1\DRIVERS\ASPIEDOS.SYS
COPY DRIVERS\MODISK2.SYS   %1\DRIVERS\MODISK2.SYS
ECHO Fujitsu MO SCSI support installed.
:NOFUJITSU
if %1n==C:n GOTO NOSYS2
if %1n==c:n GOTO NOSYS2
ECHO. >>%1\AUTOEXEC.BAT
ECHO ECHO. >>%1\AUTOEXEC.BAT
ECHO ECHO       Insert Drive Image Disk 2 (Program) >>%1\AUTOEXEC.BAT
ECHO ECHO. >>%1\AUTOEXEC.BAT
ECHO. >>%1\AUTOEXEC.BAT
ECHO RUN >>%1\AUTOEXEC.BAT
ECHO PAUSE >%1\RUN.BAT
ECHO PQDI >>%1\RUN.BAT
ECHO.
ECHO Please remove the diskette from %1 and label it
ECHO "Drive Image Boot Disk  1 of 2"
ECHO and then insert a second blank diskette.
PAUSE
CLS
ECHO *************** FORMAT DISKETTE 2 ***************
if %WINBOOTDIR%1==1 GOTO CDOS2
%WINBOOTDIR%\COMMAND\FORMAT %1 /BACKUP /V:DM50_DISK_2
COPY %WINBOOTDIR%\COMMAND.COM %1\COMMAND.COM
GOTO NOSYS2
:CDOS2
ECHO After a successful diskette format, answer N to
ECHO the question "Format another diskette (Y/N)?"
ECHO.
IF %OS%1==Windows_NT1 GOTO NTFORMAT2
FORMAT %1 /U /V:DM50_DISK_2
COPY CMD.SYS      %1\COMMAND.COM
GOTO NOSYS2
:NTFORMAT2
FORMAT %1 /Q /V:DM50_DISK_2
COPY CMD.SYS      %1\COMMAND.COM
:NOSYS2
ECHO.
ECHO ************ COPYING DRIVE IMAGE FILES **********
COPY PQDI.OVL   %1\PQDI.OVL
COPY PQDI.EXE   %1\PQDI.EXE
COPY PQDI.RTC   %1\PQDI.RTC
COPY PQDI.PQG   %1\PQDI.PQG
COPY DIHELP.DAT %1\DIHELP.DAT
ECHO PAUSE >%1\RUN.BAT
ECHO PQDI >>%1\RUN.BAT
IF EXIST PQDATA.001 COPY PQDATA.001 %1\PQDATA.001
ECHO.
if %1n==C:n GOTO NODRIVERS
if %1n==c:n GOTO NODRIVERS
ECHO.
ECHO Please remove the diskette from %1 and label it
ECHO "Drive Image Program Disk  2 of 2"
ECHO.
ECHO If you need to access a network or other removable media
ECHO device from Drive Image, copy the required DOS drivers to the
ECHO boot diskette and edit the CONFIG.SYS and AUTOEXEC.BAT files.
ECHO.
ECHO Drive Image diskette set completed.
GOTO DONE
:NODRIVERS
ECHO Drive Image has been installed to drive %1
ECHO.
PAUSE
:DONE
